---
title: attributeType
slug: Web/SVG/Attribute/attributeType
tags:
  - Deprecated
  - NeedsCompatTable
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{Deprecated_Header("SVG2")}}</div>

<p>The <strong><code>attributeType</code></strong> attribute specifies the namespace in which the target attribute and its associated values are defined.</p>

<p>Four elements are using this attribute: {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("set")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 250 250" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect x="50" y="50" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="y" from="0" to="50"
        dur="5s" repeatCount="indefinite"/&gt;
  &lt;/rect&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "400", "250")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>CSS</code> | <code>XML</code> | <code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>CSS</code></dt>
 <dd>This value specifies that the value of {{SVGAttr("attributeName")}} is the name of a CSS property defined as animatable.</dd>
 <dt><code>XML</code></dt>
 <dd>This value specifies that the value of {{SVGAttr("attributeName")}} is the name of an XML attribute defined as animatable in the default XML namespace for the target element.</dd>
 <dt><code>auto</code></dt>
 <dd>This value specifies that the implementation should match the {{SVGAttr("attributeName")}} to an attribute for the target element. User agents first search through the list of CSS properties for a matching property name, and if none is found, search the default XML namespace for the element.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#AttributeTypeAttribute", "attributeType")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/2001/REC-smil-animation-20010904/#AccumulateAttribute">SMIL Animation specification</a></li>
</ul>
